--- title: "CreateCustomResource" slug: "management-cloudinsight-createcustomresource" tags: ["Cloud Insight"] updated: 2026-09-17T10:05:41Z published: 2026-09-17T10:05:41Z canonical: "api.ncloud-docs.com/management-cloudinsight-createcustomresource" --- > ## Documentation Index > Fetch the complete documentation index at: https://api.ncloud-docs.com/llms.txt > Use this file to discover all available pages before exploring further. # CreateCustomResource Available in Classic and VPC Create a user resource. ## Request This section describes the request format. The method and URI are as follows: | Method | URI | | --- | --- | | POST | /cw_fea/real/cw/api/custom/resource | ### Request headers For information about the headers common to all Cloud Insight APIs, see [Cloud Insight request headers](/docs/en/management-cloudinsight#%EC%9A%94%EC%B2%AD%ED%97%A4%EB%8D%94). ### Request body You can include the following data in the body of your request: | Field | Type | Required | Description | | --- | --- | --- | --- | | `resourceId` | String | Optional | User resource ID - Create with entered ID - Auto-generate if not entered - Can't be duplicated | | `resourceName` | String | Required | User resource name | | `resourceTypeId` | String | Optional | User resource type ID - Value used for `resourceData` data type authentication - `resourceData` of defined data type can be transmitted - `DEFAULT` (default) | | `resourceData` | Object | Required | User resource data - Enter the data of the data type defined by `resourceTypeId` - Only store fields that match the data type defined by `resourceTypeId` | | `resourceData.organizationCode` | String | Required | Organization code | | `resourceData.projectId` | String | Required | Project ID | | `resourceData.serverIp` | String | Required | Server IP address | | `resourceData.serverType` | String | Required | Server type | | `resourceData.serverName` | String | Optional | Server name | ### Request example The request example is as follows: ``` curl --location --request POST 'https://cw.apigw.ntruss.com/cw_fea/real/cw/api/custom/resource' \ --header 'x-ncp-apigw-timestamp: {Timestamp}' \ --header 'x-ncp-iam-access-key: {Access Key}' \ --header 'x-ncp-apigw-signature-v2: {API Gateway Signature}' \ --header 'Content-Type: application/json' \ --data '{ "resourceId": "**********", "resourceName": "insight-test001", "resourceData": { "organizationCode": "TEST", "projectId": "PRJtest", "serverIp": "***.***.***.***", "serverType": "HighCPU" } }' ``` ## Response This section describes the response format. ### Response body The response body includes the following data: | Field | Type | Required | Description | | --- | --- | --- | --- | | `resourceId` | String | - | User resource ID | ### Response status codes For response status codes common to NAVER Cloud Platform, see [Cloud Insight API response status codes](/docs/en/management-cloudinsight#%EC%9D%91%EB%8B%B5%EC%83%81%ED%83%9C%EC%BD%94%EB%93%9C). ### Response example The response example is as follows: ``` "**********" ```